//trieda LogSystem -- gcc verzia
//generuje textovy alebo HTML log
#ifndef LOGSYSTEMH
#define LOGSYSTEMH
#include <string>
#include <stdio.h>
#include "EFATFS.h"

using namespace std;
enum LogType {LTPlainText, LTHTML};
enum LineType {LnTStd, LnTTT, LnTPRE}; //definicia druhov riadkov pre HTML
					/* Std - normalny riadok formatovany browserom
					   TT - form. browserom s pouzitim neproporc. pisma
					   PRE - zachovanie formatovania + neproporc. pismo
					*/
class LogSystem
	{
	FILE *f;
	LogType type;
	bool PREmode;

	public:
	LogSystem(void);
	~LogSystem(void);
	//inicializacia - nazov suboru, typ logu, nadpis
	bool InitLog(string FileName, LogType Type=LTPlainText, string Title="");

	//zapise riadok do logu
	//v pripade HTML mozno uviest priznak fontu s rovnakou sirkou pismen (TT)
	//farbu(v tvare RRGGBB pre HTML) a velkost pisma (relativnu +X alebo absolutnu X)
	void LineToLog(string Msg="", LineType tt=LnTStd, string Color="", string Size="");

	void CloseLog(void);

	//funkcia vypise obsah celeho EFS(ziskany f GetAllEFSDirs do logu, najlepsie html
	void EFSContentToLog(deque<DirDescr> *EFSContent);

	};
#endif
