#include "fatlib.h"
#include "EFATFS.h"
#include "LogSystem.h"
#include <deque>
#include <iostream>
#include <string>


using namespace std;
main(int argc, char ** argv )
{
ExtendedFATFileSystem efs;
deque<DirDescr> wholefs;
LogSystem log;
FATType ft;


if (argc!=2)
	return 1;

log.InitLog("EFSContent_log.html",LTHTML,"Obsah pracovneho EFS po aplikacii zadania");
log.LineToLog();
//typ podla pripony
if (strstr(argv[1],"f12")!=NULL || strstr(argv[1],"F12")!=NULL)
                {
                ft=FAT12;
                }
        else if (strstr(argv[1],"f16")!=NULL || strstr(argv[1],"F16")!=NULL)
                {
                ft=FAT16;
                }
        else if (strstr(argv[1],"f32")!=NULL || strstr(argv[1],"F32")!=NULL)
                {
                ft=FAT32;
                }
        else    {
                return 1;
                }
if (!efs.Init(argv[1],ft,true))
	exit(1);
efs.GetAllEFSDirs(&wholefs);
log.LineToLog("Obsah pracovneho EFS:",LnTStd,"","+1");
log.EFSContentToLog(&wholefs);
efs.Close();
log.CloseLog();
return 0;
}
