#ifndef NGRAMANALYZER__H
#define NGRAMANALYZER__H

#include <string>
#include <map>
#include "tokenizer.h"

using namespace std;

class NgramAnalyzer
	{
	char workbuf[8192],ngram[8],*tbuf;
	int wbs;

	int bufp, ngramlng,toklng;

	char *htabler;
	int *htablecnt;

	int TableSize, Step, ErrNum;

	void NewToken(void);
	bool GetNextNgram(void);

	public:
	NgramAnalyzer(int TablSze=500009, int Stp=7);

	map<string,int>* Analyze(Tokenizer *tok);
	multimap<int, string>* Srt(map<string,int>* input);

	map<string, int> * CreateProfile(multimap <int, string> *input, int maxsize);

	double ProfileDistance(map<string, int> *prof1, map<string, int> * prof2, double *podobnost=NULL);

	map<string,int>* AnalyzeWHash(Tokenizer *tok);

	char* GetLastError(void);

	~NgramAnalyzer(void);

	};
#endif





