#include "fatlib.h"
#include "EFATFS.h"
#include "LogSystem.h"
#include <deque>
#include <iostream>
#include <string>
#include <stdlib.h>
#include <wait.h>

using namespace std;
main()
{
ExtendedFATFileSystem efs;
LogSystem log;
int i,j,k,l,m,num=0,ok=0;
FILE *f1,*f2;
char sss[500],*p, s1[500];
bool chyba=false;
float usp;

log.InitLog("EFScheck_log.html",LTHTML,"Kontrola pracovneho EFS po aplikacii zadania");
log.LineToLog();
log.LineToLog("Zapis suborov z realneho FS do emulovaneho - FAT12",LnTStd,"","+1");
if (!efs.Init("FATwork.f12",FAT12,true))
	{
	log.LineToLog("Inicializacia EFS zlyhala",LnTStd,"","+1");
	log.CloseLog();
	exit(1);
	}
log.LineToLog("Inicializacia EFS OK",LnTStd,"00BB00","+1");

//kontrola ZAPISANYCH suborov
f1=fopen("_to_check","r");
if (f1==NULL)
	{
	log.LineToLog("Nemozno otvorit konfiguracny subor!!!",LnTStd,"FF0000","+1");
	log.CloseLog();
	exit(1);
	}
log.LineToLog("Kontrola existencie a obsahu zapisanych suborov",LnTStd,"","+1");
while (fgets(sss,500,f1))
	{
	sss[strlen(sss)-1]='\0';
	log.LineToLog("Subor:",LnTStd,"","+1");
	log.LineToLog(sss);
	num++;
	if (efs.ReadFile(sss,"temp"))
		{
		log.LineToLog("Existuje",LnTStd,"00BB00");
		log.LineToLog("Kontrola obsahu:",LnTStd,"","+1");
		p=strrchr(sss,'\\');
		p++;
		sprintf(s1,"cmp temp work_z/%s >/dev/null 2>&1",p);
		i=system(s1);
		if (WEXITSTATUS(i)==0)
			{
			log.LineToLog("Obsah OK",LnTStd,"00BB00");
			ok++;
			}
		else
			{
			log.LineToLog("Obsah nesedi",LnTStd,"AA0033");
			chyba=true;
			}
		}
	else
		{
		log.LineToLog(efs.GetLastError(),LnTStd,"EE0000");
		chyba=true;
		}
	}
fclose(f1);
log.LineToLog();
log.LineToLog();

//kontrola NEZAPISANYCH suborov
f1=fopen("_to_check_2","r");
if (f1==NULL)
	{
	log.LineToLog("Nemozno otvorit konfiguracny subor!!!",LnTStd,"FF0000","+1");
	log.CloseLog();
	exit(1);
	}
log.LineToLog("Kontrola ostatnych suborov:",LnTStd,"","+1");
l=0;
while (fgets(sss,500,f1))
	{
	sss[strlen(sss)-1]='\0';
	if (efs.ReadFile(sss,"temp"))
		{
		log.LineToLog("Subor zapisany navyse");
		log.LineToLog(sss,LnTStd,"EE0000");
		num++;
		chyba=true;
		l=1;
		}
	}
fclose(f1);
if (!l)
	log.LineToLog("OK",LnTStd,"00BB00","+1");
log.LineToLog();
log.LineToLog();

log.LineToLog("KONIEC kontroly",LnTStd,"","+2");
if (chyba)
	log.LineToLog("Kontrola nebola uspesna",LnTStd,"EE0000","+2");
else
	log.LineToLog("Kontrola bola uspesna",LnTStd,"00BB00","+2");
//vypocitame uspesnost
usp=((float)ok/(float)num)*100;
sprintf(sss,"Uspesnost zadania %.2f %%",usp);
log.LineToLog(sss,LnTStd,"000000","+1");
log.CloseLog();
exit(chyba?1:0);
}
