#include <sys/types.h>
#include <sys/ipc.h>
#include <sys/sem.h>
#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include "xcompat.h"

main(int argc, char **argv)
{
int key,sid,i;
FILE *f;
char fname[1000];
struct sembuf sbuf;

if (argc!=3)
	{
	printf("Pouzitie: sblock cesta op\n");
	printf("cesta - cesta k suboru s klucom semafora, musi byt zapisovatelna\n");
	printf("op - operacia:\n\t+ blokovanie semafora\n\t- odblokovanie semafora\n\tt test funkcnosti semafora identif. suborom s klucom\n\tr oprava semafora = vymazanie obsahu adresara cesta + vytvorenie noveho semafora\n");
	return 1;
	}

if (strlen(argv[1])==0)
	return 1;

strcpy(fname,argv[1]);
if (fname[strlen(fname)-1]!='/')
	strcat(fname,"/");
strcat(fname,"smky");

//vytvorenie semaforu
if ((f=fopen(fname,"r"))==NULL)
	{
	sid=-1;
	randomize();
	for (i=20;i>0 && sid==-1;i--)
		{
		key=random();
		sid=semget(key,1,IPC_EXCL|IPC_CREAT|0644);
		}

	if (sid==-1)
		return 1;
	if (semctl(sid,0,SETVAL,1)!=0)
		return 1;
	if ((f=fopen(fname,"w"))==NULL)
		return 1;
	fprintf(f,"0x%x\n",key);
	fclose(f);
	}
else
	{
	fscanf(f,"%x",&key);
	fclose(f);

	//ziskanie existujuceho
	sid=semget(key,1,IPC_EXCL);
	if (sid==-1)
		if (strcmp(argv[2],"r")!=0)
			return 1;
	}

if (strcmp(argv[2],"+")==0) //blokovanie
	{
	sbuf.sem_num=0;
	sbuf.sem_op=-1;
	sbuf.sem_flg=0;
	if (semop(sid,&sbuf,1)!=0)
		return 1;
	}

else if (strcmp(argv[2],"-")==0) //odblokovanie
	{
	sbuf.sem_num=0;
	sbuf.sem_op=1;
	sbuf.sem_flg=0;
	if (semop(sid,&sbuf,1)!=0)
		return 1;
	}
else if (strcmp(argv[2],"r")==0) //oprava / test semafora
	{
	if (sid==-1)
		{
		//zmazeme obsah kontrolneho/semaforoveho adresara
		strcpy(fname,"rm -fr ");
		strcat(fname,argv[1]);
		if (fname[strlen(fname)-1]!='/')
			strcat(fname,"/");
		strcat(fname,"*");
		system(fname);

		//vytvorime novy semafor
		strcpy(fname,argv[1]);
		if (fname[strlen(fname)-1]!='/')
			strcat(fname,"/");
		strcat(fname,"smky");

		//vytvorenie semaforu
		sid=-1;
		randomize();
		for (i=20;i>0 && sid==-1;i--)
			{
			key=random();
			sid=semget(key,1,IPC_EXCL|IPC_CREAT|0644);
			}
		if (sid==-1)
			return 1;
		if (semctl(sid,0,SETVAL,1)!=0)
			return 1;
		if ((f=fopen(fname,"w"))==NULL)
			return 1;
		fprintf(f,"0x%x\n",key);
		fclose(f);
		}
	}
else if (strcmp(argv[2],"t")==0) //oprava / test semafora
	return 0;
else
	return 1;
return 0;
}
